View Issue Details

IDProjectCategoryView StatusLast Update
0002524OpenFOAMContributionpublic2018-07-10 11:17
ReporterShortyAssigned Tohenry 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
PlatformGNU/LinuxOSUbuntuOS Version16.04
Product Versiondev 
Fixed in Versiondev 
Summary0002524: CHT Solver patched for using residual control
DescriptionHi Henry,

I could not find the bug report about the non-working residual control for the CHT solvers. However, you asked me if I can provide a patch. I take the time and added the necessary stuff:

- Residual control can be done for each single region
- After all regions are converged, we set the lastIter flag and solve the system once more with the 'Final' settings

I checked it for the multiRegionHeater tutorial and it worked well.
Let me know if this is acceptable or not.
TagsNo tags attached.

Activities

Shorty

2017-04-08 11:20

reporter  

chtMultiRegionFoamPatchForResidualControl.tar.gz (13,866 bytes)

Shorty

2017-04-08 11:48

reporter   ~0008023

One remark. The residual control is implemented just for the transient one. If it is wished, I will also provide a patch for the steady-state solver.

henry

2017-05-04 22:15

manager   ~0008095

Thanks Tobias

Resolved by commit a884a44e4729ae662fa1e4361ccf67e7c498ca04

Issue History

Date Modified Username Field Change
2017-04-08 11:20 Shorty New Issue
2017-04-08 11:20 Shorty File Added: chtMultiRegionFoamPatchForResidualControl.tar.gz
2017-04-08 11:20 Shorty Tag Attached: chtMultiregionFoam residualControl
2017-04-08 11:48 Shorty Note Added: 0008023
2017-05-04 22:15 henry Assigned To => henry
2017-05-04 22:15 henry Status new => resolved
2017-05-04 22:15 henry Resolution open => fixed
2017-05-04 22:15 henry Fixed in Version => dev
2017-05-04 22:15 henry Note Added: 0008095
2018-07-10 11:17 administrator Tag Detached: chtMultiregionFoam residualControl